# Generate automatically. Do not edit.

commit 6cc50f97575d1d978cd7d24e6466f585d37947ed
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2020-03-11

    Release 3.36.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit cb82824bf3798e0f32da67aa1f56e44e4508a3cd
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   2020-03-10

    Update Ukrainian translation

 po/uk.po | 1043 +++++++++++++-------------------------------------------------
 1 file changed, 220 insertions(+), 823 deletions(-)

commit e273e7efe8494f00119b8c8c4f734aa29b70acbd
Author: Jordi Mas <jmas@softcatala.org>
Date:   2020-03-07

    Update Catalan translation

 po/ca.po | 408 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 160 insertions(+), 248 deletions(-)

commit 5c451e8308fbe10967d18ae367fd82f1f96f1ab8
Author: Milo Casagrande <milo@milo.name>
Date:   2020-03-03

    Update Italian translation

 po/it.po | 420 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 165 insertions(+), 255 deletions(-)

commit 1b1c2087cb0ac9055e71c55bf0d37b00acebb576
Author: Tim Sabsch <tim@sabsch.com>
Date:   2020-03-01

    Update German translation

 po/de.po | 368 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 191 insertions(+), 177 deletions(-)

commit 1d2c78059d6b19241c4ca471ac8f816585793be9
Author: Goran Vidović <trebelnik2@gmail.com>
Date:   2020-03-01

    Update Croatian translation

 po/hr.po | 361 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 186 insertions(+), 175 deletions(-)

commit 80d7947ea2a2407f888c205e66231dc831d07892
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2020-02-28

    Update Korean translation

 po/ko.po | 357 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 184 insertions(+), 173 deletions(-)

commit 372066eb1098e258de649276dd750eb7ff35f142
Author: Jwtiyar Nariman <jwtiyar@gmail.com>
Date:   2020-02-27

    Add Kurdish Sorani translation
    
    (cherry picked from commit 4d35eb83a84a513d4c0b1d47b46fc3ad4de377e5)

 po/LINGUAS |   1 +
 po/ckb.po  | 516 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 517 insertions(+)

commit fba1dd77f8c40c3dfc5a8770312b809d5d06d50d
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   2020-02-25

    Updated Danish translation

 po/da.po | 366 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 187 insertions(+), 179 deletions(-)

commit b0314da1600b64cd690f253688b29f5f4f561cef
Author: Nathan Follens <nfollens@gnome.org>
Date:   2020-02-24

    Update Dutch translation

 po/nl.po | 404 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 193 insertions(+), 211 deletions(-)

commit f34dc8008d43cc31a4950f618fb5a37a7baf6b78
Author: Marek Černocký <marek@manet.cz>
Date:   2020-02-23

    Updated Czech translation

 po/cs.po | 356 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 183 insertions(+), 173 deletions(-)

commit 3a5ec408f7edfd66a5e168e1477d65403be3d8e6
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   2020-02-22

    Update Finnish translation

 po/fi.po | 152 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 79 insertions(+), 73 deletions(-)

commit 46a55eec8456792e863bded8a42ae4d4eb9bd514
Author: Jor Teron <jor.teron@gmail.com>
Date:   2020-02-22

    Update Karbi translation

 po/mjw.po | 130 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 56 insertions(+), 74 deletions(-)

commit 2df103965657b5063d7d8fd6923b2087cac363a3
Author: Charles Monzat <charles.monzat@free.fr>
Date:   2020-02-19

    Update French translation

 po/fr.po | 169 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 89 insertions(+), 80 deletions(-)

commit e50ce4d17b2adc1cb062dbc1bee9b47b64262daf
Author: Kukuh Syafaat <kukuhsyafaat@gnome.org>
Date:   2020-02-19

    Update Indonesian translation

 po/id.po | 411 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 212 insertions(+), 199 deletions(-)

commit 2416ffcc2cd1a165159d7d436e97726e6d482d98
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   2020-02-18

    Update Swedish translation

 po/sv.po | 364 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 188 insertions(+), 176 deletions(-)

commit 4e5b8984479611ac46ac3b4455d2bcdb6434b8c0
Author: Balázs Úr <balazs@urbalazs.hu>
Date:   2020-02-17

    Update Hungarian translation

 po/hu.po | 451 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 169 insertions(+), 282 deletions(-)

commit b8c82ecab475916458e4a6ddd80850db16fccd04
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   2020-02-17

    Updated Lithuanian translation

 po/lt.po | 397 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 190 insertions(+), 207 deletions(-)

commit eb3f676aecc3de6e884965cc21c4d786bfd2518b
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:   2020-02-17

    Update Serbian translation

 po/sr.po | 393 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 187 insertions(+), 206 deletions(-)

commit b4168a0c795ad67fbd092aae2456dd8396feb979
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2020-02-17

    Updated Spanish translation

 po/es.po | 382 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 194 insertions(+), 188 deletions(-)

commit 24166f1d4cfbd61f61d64bcefe7c262f0714ebe0
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   2020-02-16

    Update Brazilian Portuguese translation

 po/pt_BR.po | 161 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 85 insertions(+), 76 deletions(-)

commit a00a7734b85c7602cceed4e1a38694b36aa88054
Author: Danial Behzadi <dani.behzi@ubuntu.com>
Date:   2020-02-16

    Update Persian translation

 po/fa.po | 169 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 83 insertions(+), 86 deletions(-)

commit 1e9a3e86257c1e39597c4f9e85d7cfcb4d5163cd
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   2020-02-15

    Update Galician translation

 po/gl.po | 157 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 82 insertions(+), 75 deletions(-)

commit 6dc7a168b745977f595f29203abf1bdaf979feb8
Author: sicklylife <translation@sicklylife.jp>
Date:   2020-02-15

    Update Japanese translation

 po/ja.po | 27 +++++++++++----------------
 1 file changed, 11 insertions(+), 16 deletions(-)

commit a49ce1471aad684c5536b5bdc87284a7156bafcd
Author: sicklylife <translation@sicklylife.jp>
Date:   2020-02-15

    Update Japanese translation

 po/ja.po | 176 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 94 insertions(+), 82 deletions(-)

commit 03052dc16f3776fdfd5263983c400ec95077f4e6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2020-02-15

    Update Polish translation

 po/pl.po | 337 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 162 insertions(+), 175 deletions(-)

commit 19d7a6a132882a4fd5a7421c8f1543ebaabdba3d
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   2020-02-15

    Update Turkish translation

 po/tr.po | 365 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 188 insertions(+), 177 deletions(-)

commit cc7ab71ecedd0013e8deeedb060e661c70a0d68c
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2020-02-15

    Release 3.35.90

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit a1ceae7e9f0bb653dd4ed1b692ff5714882aa294
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   2020-02-15

    Update Basque translation

 po/eu.po | 466 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 214 insertions(+), 252 deletions(-)

commit a77c6fed7f3e36af008fa3b8596756623fdbdba2
Merge: fd130b33 555650c8
Author: Daiki Ueno <ueno@gnu.org>
Date:   2020-02-15

    Merge branch 'wip/verdre/update-strings' into 'master'
    
    Use shorter strings for prompt titles
    
    See merge request GNOME/gnome-keyring!30

commit 555650c82babf64caf8da402f37401fd1028fe44
Author: Jonas Dreßler <verdre@v0yd.nl>
Date:   2020-02-04

    Use shorter strings for prompt titles
    
    The layout of modal dialogs changed in gnome-shell [1] and the title now
    has less space available. Make sure all titles remain fully visible and
    use shorter strings.
    
    [1] https://gitlab.gnome.org/GNOME/gnome-shell/issues/1343

 pkcs11/wrap-layer/gkm-wrap-prompt.c | 33 +++++++--------------------------
 1 file changed, 7 insertions(+), 26 deletions(-)

commit fd130b339fec0d38427f2dec53868846744d472e
Merge: af0a6f5d 49bdee0e
Author: Daiki Ueno <ueno@gnu.org>
Date:   2020-01-25

    Merge branch '28-more-insight-pam-keyring-module' into 'master'
    
    Provide more insight from pam_gnome_keyring about unlocking
    
    Closes #28
    
    See merge request GNOME/gnome-keyring!28

commit 49bdee0ea20fdfef9336b9f21b047c84de864a1e
Author: ettavolt <ettavolt@gmail.com>
Date:   2020-01-04

    Provide more insight from pam_gnome_keyring about unlocking
    
    Particularly, log INFO when:
    daemon has been started and (maybe) unlocked keyring;
    unlocking is delayed till open session.

 pam/gkr-pam-module.c | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit af0a6f5d290cc99046c289336b3d1978ec5eea26
Merge: 613d4b38 5b4516f7
Author: Daiki Ueno <ueno@gnu.org>
Date:   2020-01-25

    Merge branch 'wip/nielsdg/fix-warnings' into 'master'
    
    Fix some warnings
    
    See merge request GNOME/gnome-keyring!26

commit 5b4516f70f71ab6a73dce54647814f25bed3e3b1
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2020-01-03

    pkcs11: Fix some type mismatch warnings
    
    Provide the necessary casts when using `g_object_ref` and a subclass of
    the return type. Fixes some warnings.

 pkcs11/secret-store/gkm-secret-collection.c | 2 +-
 pkcs11/secret-store/gkm-secret-item.c       | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit ce60975698b24f3836303c91b5bfacf3b94387a8
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2020-01-02

    Don't use GTimeVal/g_get_current_time()
    
    `GTimeVal` is not safe for a post-2038 world, so it was deprecated.
    Let's get rid of it in favor of `g_get_real_time()`.

 pkcs11/gkm/gkm-object.c                  | 20 +++++++++-----------
 pkcs11/secret-store/gkm-secret-object.c  | 15 +++------------
 pkcs11/secret-store/test-secret-object.c |  6 +++---
 3 files changed, 15 insertions(+), 26 deletions(-)

commit a3b876c514ae3beba36e20d1eebc521c17ca9385
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2020-01-02

    Don't use g_type_class_add_private()
    
    This was deprecated some time ago in favor of `G_ADD_PRIVATE()`, so by
    migrating to that fixes quite a bit of warnings.

 daemon/dbus/gkd-secret-prompt.c         | 5 ++---
 pkcs11/gkm/gkm-assertion.c              | 6 ++----
 pkcs11/gkm/gkm-certificate-key.c        | 6 ++----
 pkcs11/gkm/gkm-certificate.c            | 6 ++----
 pkcs11/gkm/gkm-credential.c             | 7 ++-----
 pkcs11/gkm/gkm-dh-key.c                 | 8 ++------
 pkcs11/gkm/gkm-manager.c                | 7 ++-----
 pkcs11/gkm/gkm-module.c                 | 7 ++-----
 pkcs11/gkm/gkm-object.c                 | 7 ++-----
 pkcs11/gkm/gkm-private-xsa-key.c        | 7 ++-----
 pkcs11/gkm/gkm-secret-key.c             | 8 ++------
 pkcs11/gkm/gkm-session.c                | 7 ++-----
 pkcs11/gkm/gkm-sexp-key.c               | 7 ++-----
 pkcs11/gkm/gkm-store.c                  | 6 ++----
 pkcs11/secret-store/gkm-secret-object.c | 7 ++-----
 pkcs11/xdg-store/gkm-xdg-trust.c        | 6 +++---
 16 files changed, 33 insertions(+), 74 deletions(-)

commit 613d4b38912dc8cf3daf9324b39dd42dc0c4071a
Merge: df95724f 3ccd39e5
Author: Daiki Ueno <ueno@gnu.org>
Date:   2020-01-14

    Merge branch 'wip/dueno/build-fixes' into 'master'
    
    build: Supply proper cflags for test-dbus-portal
    
    Closes #46
    
    See merge request GNOME/gnome-keyring!29

commit 3ccd39e53a1ae52fd2cd49907b306a639d19b6b3
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2020-01-14

    build: Supply proper cflags for test-dbus-portal
    
    Fixes #46.

 daemon/dbus/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df95724ff00d890540f3d4f72a24662b41aee1f2
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2020-01-13

    Release 3.35.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 745308de4938b1d834a5aa4be7863b2ffce7b33d
Author: Umarzuki Bin Mochlis Moktar <umarzuki@gmail.com>
Date:   2020-01-08

    Update Malay translation

 po/ms.po | 613 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 333 insertions(+), 280 deletions(-)

commit 5c7eaf230da6be36ed16f3c89acf3b74a20fe1a8
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   2019-12-27

    Update Galician translation

 po/gl.po | 79 ++--------------------------------------------------------------
 1 file changed, 2 insertions(+), 77 deletions(-)

commit bfff04ee51d11e906c61ae53b234d622af169398
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   2019-12-25

    Update Galician translation

 po/gl.po | 359 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 168 insertions(+), 191 deletions(-)

commit 7f472501939bd4d1e0db65fd5d1dc0d57bdb63a1
Merge: d463f424 4010e268
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-10-01

    Merge branch 'wip/dueno/secret-portal' into 'master'
    
    dbus: Implement secret portal backend
    
    See merge request GNOME/gnome-keyring!18

commit 4010e268e6b88668e4ff017538ec42096057591c
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-07-27

    dbus: Implement secret portal backend

 .gitignore                                         |   4 +
 daemon/.gitignore                                  |   1 +
 daemon/Makefile.am                                 |   6 +-
 daemon/dbus/Makefile.am                            |  35 +-
 daemon/dbus/gkd-secret-portal.c                    | 438 +++++++++++++++++++++
 daemon/dbus/gkd-secret-portal.h                    |  33 ++
 daemon/dbus/gkd-secret-service.c                   |   7 +
 daemon/dbus/gkd-secret-types.h                     |   3 +
 .../dbus/org.freedesktop.impl.portal.Request.xml   |  47 +++
 daemon/dbus/org.freedesktop.impl.portal.Secret.xml |  65 +++
 daemon/dbus/test-dbus-portal.c                     | 215 ++++++++++
 daemon/dbus/test-service.c                         |   1 +
 daemon/gnome-keyring.portal                        |   4 +
 .../org.freedesktop.impl.portal.Secret.service.in  |   3 +
 14 files changed, 859 insertions(+), 3 deletions(-)

commit d463f42495484437de8cec69bea9b6814ee32479
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-09-30

    Release 3.34.0

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit ddacb9cd6eff3363350252ccb976f9245a0fb729
Merge: f609501e e8291902
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-09-26

    Merge branch 'glib-2-62' into 'master'
    
    Remove tap-gtester, rely on GLib 2.38+ built-in TAP output instead
    
    See merge request GNOME/gnome-keyring!20

commit e8291902185e02a20f4542b40c3fdb3a9f07a13b
Author: Simon McVittie <smcv@debian.org>
Date:   2019-09-13

    Remove tap-gtester, rely on GLib 2.38+ built-in TAP output instead
    
    GLib 2.62+ outputs TAP by default, which breaks the tap-gtester
    script's expectations. In older GLib versions since 2.38, --tap is an
    opt-in to the TAP output mode, so use that.
    
    This is essentially the same issue as
    https://github.com/cockpit-project/cockpit/pull/11998 (cockpit was the
    source of the tap-gtester script), GNOME/gcr!19, and GNOME/libsecret!5.
    
    Signed-off-by: Simon McVittie <smcv@debian.org>
    Bug-Debian: https://bugs.debian.org/940157

 Makefile.am       |   3 +-
 build/tap-gtester | 206 ------------------------------------------------------
 2 files changed, 1 insertion(+), 208 deletions(-)

commit f609501e986809a5d1a7f0450e9d82144e04da17
Merge: bb7336cf bf04c455
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-09-24

    Merge branch 'wip/dueno/ubsan' into 'master'
    
    build: Fix UB spotted by UBSan
    
    See merge request GNOME/gnome-keyring!24

commit bf04c45535dc9fae80d3beead16fcd760989b44e
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-09-16

    pkcs11: Fix load of misaligned address

 pkcs11/gkm/gkm-attributes.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 10a3663d10a9326cde76f7cfd7cb57efbd7e5e9c
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-09-16

    egg-asn1x: Avoid signed integer overflow

 egg/egg-asn1x.c | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit fb69d6ca6cb6fe290f1473c961bbf1379966d83a
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-09-16

    egg: Fix undefined behavior on excessive left shift

 egg/egg-buffer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb7336cf262acaefe2c462ce052ecf14739d15de
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   2019-09-21

    Update Brazilian Portuguese translation

 po/pt_BR.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit c58579dc4c9b5e073d2a0fc9e8a776a13fb52d5a
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   2019-09-19

    Update Brazilian Portuguese translation

 po/pt_BR.po | 328 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 168 insertions(+), 160 deletions(-)

commit 5738abd235f53d505bee0925ab983255720865d0
Merge: 7447cd7f 5d088356
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-09-05

    Merge branch 'wip/benzea/possible-race-fixes' into 'master'
    
    Possible race fix
    
    See merge request GNOME/gnome-keyring!19

commit 5d088356a9473c06564bd2cef18ca370437a17bc
Author: Benjamin Berg <bberg@redhat.com>
Date:   2019-05-14

    dbus-environment: Make Setenv request synchronuous
    
    Currently there is a potential race condition where the Setenv request
    races further session startup. i.e. the clients that are started with
    --start on login may quit before the Setenv DBus call is delivered. This
    opens a theoretical race condition where gnome-session is already past
    the initialization phase when it serves the Setenv request.

 daemon/dbus/gkd-dbus-environment.c | 62 ++++++++++++++++++--------------------
 1 file changed, 30 insertions(+), 32 deletions(-)

commit 8a948b3ac17f7d1b0ff31b0cf22e655054eb5c6b
Author: Benjamin Berg <bberg@redhat.com>
Date:   2019-05-14

    dbus-environment: Log Setenv call failure after initialization
    
    When the GNOME session is already initialized at the point that Setenv
    is called, then an error is returned. Hidding this error makes it hard
    to understand why the environment was not setup if things failed.

 daemon/dbus/gkd-dbus-environment.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 7447cd7f2b561870ca236724a4826b0857d6ff94
Author: Danial Behzadi <dani.behzi@ubuntu.com>
Date:   2019-09-02

    Update Persian translation

 po/fa.po | 600 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 300 insertions(+), 300 deletions(-)

commit 37881eceae00ddaa89e4f06328b2beecc06a24a4
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   2019-08-16

    Update Icelandic translation

 po/is.po | 554 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 281 insertions(+), 273 deletions(-)

commit d8df9de406c88ddd20ce3c954947edb8fdd71563
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-08-13

    build: Add .dir-locals.el for Emacs

 .dir-locals.el | 1 +
 1 file changed, 1 insertion(+)

commit 97e70eb49c7fdd2bd6f0a6b485a7adf04d5d685a
Author: Jor Teron <jor.teron@gmail.com>
Date:   2019-07-25

    Add Karbi translation

 po/LINGUAS |   1 +
 po/mjw.po  | 508 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 509 insertions(+)

commit 28a8b9243ceaede00d0c30318d38deb1a6c5840b
Merge: 1b6742ac 198d7036
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-05-15

    Merge branch 'wip/dueno/madvise' into 'master'
    
    build: Remove configure check for MADV_DONTDUMP
    
    Closes #30
    
    See merge request GNOME/gnome-keyring!17

commit 198d70364554dea570033aded74b339d1dc1d3a1
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-05-15

    build: Remove configure check for MADV_DONTDUMP
    
    It can be checked in the source code instead.

 configure.ac            | 8 --------
 egg/egg-secure-memory.c | 2 +-
 2 files changed, 1 insertion(+), 9 deletions(-)

commit 1b6742acc9984f15665b8dba0a654e616426cb62
Merge: e6822428 7a8b7d2e
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-05-10

    Merge branch 'wip/dueno/musl' into 'master'
    
    rpc-layer: fix build with musl-libc
    
    Closes #29
    
    See merge request GNOME/gnome-keyring!16

commit 7a8b7d2ebfbb831840e6d58dbb1109f4c31d6ba4
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-05-10

    rpc-layer: fix build with musl-libc
    
    The recent POSIX suggests to include <sys/select.h> for select().
    
    Reported by Anthony G. Basile.

 pkcs11/rpc-layer/gkm-rpc-daemon-standalone.c | 1 +
 1 file changed, 1 insertion(+)

commit e6822428ebfe3b61bfa5df7e04a5e1af7f2048ca
Author: Matthew Garrett <matthewgarrett@google.com>
Date:   2019-04-19

    egg: Request that secure memory not be dumped to disk
    
    Linux 3.4 added support for the MADV_DONTDUMP option to madvise(), which
    requests that the covered memory not be included in coredumps. It makes
    sense to use this to prevent cases where application crashes could
    result in secrets being persisted to disk or included in dumps that are
    uploaded to remote servers for analysis. I've avoided making this fatal
    since there's a chance this code could be built on systems that have
    MADV_DONTDUMP but run on systems that don't.

 configure.ac            |  8 ++++++++
 egg/egg-secure-memory.c | 13 +++++++++++++
 2 files changed, 21 insertions(+)

commit 91bc9368ca2eedef0dec3f5aa81f641ced07a9b6
Author: Simon McVittie <smcv@debian.org>
Date:   2019-03-09

    test-gkd-ssh-agent-service: Avoid race condition with server thread
    
    These tests create a server thread in setup() and join it in teardown(),
    but there are various race conditions between them that can cause the
    test to hang. These are particularly reproducible when building on a
    single-CPU machine or VM, and particularly in the startup_shutdown
    test (which doesn't do anything, so it runs teardown() immediately
    after setup()).
    
    It's possible to get this preemption pattern:
    
         ___ Main thread ___                ___ Server thread ___
         g_thread_new()                     (starts)
         g_cond_wait() (blocks)
                                            ...
                                            g_cond_signal()
                                            (gets preempted here)
         exit setup()
         enter teardown()
         g_main_loop_quit()
                                            g_main_loop_run()
    
    which means g_main_loop_run() will never terminate, because it wasn't
    running yet when the main thread told the GMainLoop to quit, and the
    main thread won't tell it to quit again.
    
    One way to solve this would be for the server thread to signal
    test->cond from an idle callback instead of directly from
    server_thread(), to guarantee that the GMainLoop is already running.
    However, it seems easier to reason about if we avoid GMainLoop and
    iterate the main context directly.
    
    Signed-off-by: Simon McVittie <smcv@debian.org>
    Bug-Debian: https://bugs.debian.org/909416

 daemon/ssh-agent/test-gkd-ssh-agent-service.c | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit af8f5e7479f3ac8c34278caadc7a8507f96a74c0
Author: Waldo Luís Ribeiro <waldoribeiro@sapo.pt>
Date:   2019-03-16

    Update British English translation

 po/en_GB.po | 481 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 250 insertions(+), 231 deletions(-)

commit 8b7f6a5df0566ab5bf4d4c1feb68963df3d7cd1f
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   2019-03-02

    Update Finnish translation

 po/fi.po | 356 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 165 insertions(+), 191 deletions(-)

commit 1c834760190ecf5a58c6feee441c41baeea07f5f
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-03-02

    Release 3.31.91

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 2a20a7ac9667bdb68b2c9d553d1fee0f3425f6d4
Merge: 9e982a5c 443a821c
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-03-02

    Merge branch 'roderich.schupp/gnome-keyring-issue-26'
    
    See merge request GNOME/gnome-keyring!11

commit 443a821cba105e8f277828a67b3d019b67f1324a
Author: Roderich Schupp <roderich.schupp@gmail.com>
Date:   2019-03-01

    Fixes #26: restore behaviour before b22d058a when control file isn't found

 pam/gkr-pam-module.c | 2 ++
 1 file changed, 2 insertions(+)

commit 9e982a5c48e161c6ee3be6ed238112a14385e3c3
Author: Jordi Mas <jmas@softcatala.org>
Date:   2019-02-22

    Update Catalan translation

 po/ca.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e68d15355213e32face010e91b5e56741f5cd23
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-02-10

    Release 3.31.90

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit a5055e0a20318df8e5bb9eb58bbdb1573ba1b7ca
Merge: 4ff3917c 0155663e
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-02-10

    Merge branch 'wip/dueno/pkcs11-enable-in' into 'master'
    
    pkcs11: Expose module to specific programs
    
    See merge request GNOME/gnome-keyring!8

commit 0155663e0523dfe4c706c74e02c7aa1e6afe227d
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-12-29

    pkcs11: Expose module to specific programs

 pkcs11/rpc-layer/gnome-keyring.module.in | 6 ++++++
 1 file changed, 6 insertions(+)

commit 4ff3917c8372c5953c7d8bd1be6dc470d2c34c21
Merge: 4fa0719d e910963b
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-02-09

    Merge branch 'jjardon/gnome-common-removal' into 'master'
    
    autogen.sh: Use autoreconf instead deprecated gnome-common
    
    See merge request GNOME/gnome-keyring!10

commit e910963b9bd15d2d923343890170702d56380c4f
Author: Javier Jardón <jjardon@gnome.org>
Date:   2019-02-09

    autogen.sh: Use autoreconf instead deprecated gnome-common
    
    See https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh | 48 ++++++++++++++++++++++++++++--------------------
 1 file changed, 28 insertions(+), 20 deletions(-)

commit 4fa0719dfb15c631758e623e90e6677b856b7f97
Merge: 7a2a4a26 7aba0e6a
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-01-30

    Merge branch 'wip/header-order' into 'master'
    
    Don't assume iterating a hash table will give items in the same order they were inserted
    
    Closes #21
    
    See merge request GNOME/gnome-keyring!9

commit 7aba0e6aadd75fc688bf7f086a620e4dc41da6d0
Author: Iain Lane <iainl@gnome.org>
Date:   2019-01-30

    gkm-mock: Also store objects in the order they are taken
    
    With GLib 2.59, the `test-login-auto` test fails:
    
      Gcr-CRITICAL **: 14:34:24.126: expected prompt property 'choice-label'
      to be "Automatically unlock this keyring whenever I\342\200\231m
      logged in", but it is instead ""
    
    This is because, in `mock_secret_C_Initialize()` we assign two sets of
    fields to the mock module, one with `CKA_G_LOGIN_COLLECTION` → `CK_TRUE`
    and one with it pointing to `CK_FALSE`.
    
    This variable is used to decide, via `is_login_keyring()`, whether to call
    `setup_unlock_keyring_login()` or `setup_unlock_keyring_other()`. The
    first one sets `choice-label` to the empty string. The second one is
    what we want, and upgrading GLib made it flip.
    
    The reason is the same as the previous two fixes: the mock-secret-store
    expects to be able to insert items into a hash table and then iterate it
    and get them out in the same order. That was never guaranteed, and now
    doesn't happen.
    
    Let's keep a parallel list which keeps track of the order things were
    added. And then instead of iterating the hash table, we iterate this
    list.
    
    Closes #21

 pkcs11/gkm/gkm-mock.c                   | 67 ++++++++++++++++++++++++++++-----
 pkcs11/secret-store/gkm-secret-fields.c |  4 +-
 2 files changed, 58 insertions(+), 13 deletions(-)

commit 3091bf66c07f8df66876ecc7832371170743b052
Author: Iain Lane <iainl@gnome.org>
Date:   2019-01-30

    secret-store: Sort fields alphabetically before outputting
    
    The assumption that we'd get values out of a hash table in the same
    order we put them in stopped holding with GLib 2.59:
    
      ERROR:…/gnome-keyring/pkcs11/secret-store/test-secret-item.c:379:test_fields_attr:
      assertion failed: (memcmp (buffer, "name1\0value1\0name2\0value2", 26)
      == 0)
    
    Let's ensure a consistent order by sorting the fields before returning
    them.
    
    Closes #21.

 pkcs11/secret-store/gkm-secret-fields.c | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

commit 23fdfe728a27a01ef50affd849be5188c0cda954
Author: Iain Lane <iainl@gnome.org>
Date:   2019-01-28

    egg: Write Proc-Type header before DEK-Info
    
    These headers (at least for OpenSSL) must come in this order. We
    shouldn't assume that `g_hash_table_foreach` is going to give a
    particular ordering - it's not guaranteed, and has changed with GLib
    2.59.
    
    Fixes #21

 egg/egg-armor.c | 26 +++++++++++++++++++++-----
 1 file changed, 21 insertions(+), 5 deletions(-)

commit 7a2a4a265643f2cf1c2f278343e9dd230f982758
Author: Ryuta Fujii <translation@sicklylife.jp>
Date:   2019-01-03

    Update Japanese translation

 po/ja.po | 491 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 260 insertions(+), 231 deletions(-)

commit 2d03ae466eb3b02b74466b396624debddc377fcf
Merge: c897a163 a955ae82
Author: Daiki Ueno <ueno@gnu.org>
Date:   2018-12-29

    Merge branch 'mjog/reinstate-p11kit-module' into 'master'
    
    Revert "pkcs11: Don't install p11-kit module configuration"
    
    Closes #20
    
    See merge request GNOME/gnome-keyring!7

commit a955ae82a9828ec115bc6fadd56abe00bc49f3ae
Author: Michael James Gratton <mike@vee.net>
Date:   2018-12-25

    Revert "pkcs11: Don't install p11-kit module configuration"
    
    This reverts commit 5d8326eaf1ebce1cde2ee797c03f261da3159aae.
    
    Fixes #20

 .gitignore                               | 3 +++
 configure.ac                             | 1 +
 pkcs11/rpc-layer/Makefile.am             | 5 +++++
 pkcs11/rpc-layer/gnome-keyring.module.in | 7 +++++++
 4 files changed, 16 insertions(+)

commit c897a1633b3da2da1b766f50e405dbd727a63dde
Author: Andre Klapper <a9016009@gmx.de>
Date:   2018-12-15

    Replace Bugzilla by Gitlab URL in DOAP file
